    The XSPEC cglumin convolution model: calculate luminosity

xscglumin
The xscglumin model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xscglumin", "mdl")
>>> print(mdl)

Create a component of the xscglumin model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Emin frozen 0.5 0 1e+06 keV mdl.Emax frozen 10 0 1e+06 keV mdl.Distance frozen 10 0 1e+06 kpc mdl.lg10Lum thawed 40 -100 100 cgs

With the following definitions:

>>> xscglumin.cglumin >>> xsphabs.absmdl >>> xspowerlaw.plmdl >>> xsgaussian.gmdl >>> srcmdl = plmdl + gmdl

then the model can be applied in a number of ways, such as:

>>> mdl1 = cglumin(absmdl * srcmdl) >>> mdl2 = absmdl * cglumin(srcmdl) >>> mdl3 = absmdl * (plmdl + cglumin(gmdl))

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Emin
Minimum energy over which the luminosity is calculated.
Emax
Maximum energy over which the luminosity is calculated.
Distance
Distance to the source in kpc.
lg10Lum
log (base 10) of the luminosity in erg/s

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

See [1] for the meaning and restrictions, in particular the necessity of freezing the amplitude, or normalization, of the emission component (or components) at 1.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCglumin.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023